/**
* BSOgreDataStreamSourceFactory.h
* 
* Project: cAudioSoundSystem
* Author: Murat Sari
* Created: 2011-01-20
*
* Copyright: www.team-bytestorm.com/license.html, 2008 - 2011
*/
#pragma once

// Project Includes
#include "IDataSourceFactory.h"
#include "../Headers/cMutex.h"

namespace BS 
{
	namespace Sound 
	{
		class OgreDataStreamSourceFactory : public cAudio::IDataSourceFactory
		{
		public:
			OgreDataStreamSourceFactory() {}
			virtual ~OgreDataStreamSourceFactory() {}
			virtual cAudio::IDataSource* CreateDataSource(const char* filename, bool streamingRequested);
		protected:
			cAudio::cAudioMutex Mutex;
		};
	}
}